Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml.xerces
Class DefaultXMLTranslator

`java.lang.Object
oracle.toplink.xml.xerces.DefaultXMLTranslator`

All Implemented Interfaces:
  java.io.Serializable, XMLTranslator

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class DefaultXMLTranslator
extends java.lang.Object
implements XMLTranslator

This is the default implementation of the `XMLTranslator` interface. It implements the read and write methods for converting XML documents to database rows and vice versa.

Since:
  TOPLink/Java 3.0
See Also:
  `XMLCall`, Serialized Form

Constructor Summary
`DefaultXMLTranslator()` Deprecated. Default constructor.

Method Summary
`DatabaseRow` | `read(java.io.Reader stream)` Deprecated. Read an XML document from the specified input stream and convert it to a TopLink database row.
`void` | `write(java.io.Writer stream, DatabaseRow row)` Deprecated. Convert the specified database row to an XML document and write it to the specified stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultXMLTranslator

    public DefaultXMLTranslator()

  Deprecated.
  Default constructor.

Method Detail

### read

    public DatabaseRow read(java.io.Reader stream)

  Deprecated.
  Read an XML document from the specified input stream and convert it to a TopLink database row. Close the stream and return the row.
  Specified by:
    `read` in interface `XMLTranslator`

### write

    public void write(java.io.Writer stream,
                      DatabaseRow row)

  Deprecated.
  Convert the specified database row to an XML document and write it to the specified stream.
  Specified by:
    `write` in interface `XMLTranslator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD